Subject: RE: [Tsvwg] Comments about draft-ietf-tsvwg-sctp-auth-01.txt

From: [email-masked]
Date: Thu, 17 Nov 2005 18:35:39 +0200

>Hi,
>
>see my comments in-line.
>
>Best regards
>Michael
>
>On Nov 16, 2005, at 21:05 Uhr, [email-masked] wrote:
>
>> 	Hi!
>>
>> 	I have some few comments about the last version of the 
>Authenticated 
>> Chunks for SCTP draft:
>>
>> 	- Page 5: It says that "The CHUNKS parameter MUST be included 
>> once...", hmmm, unless it is empty, in which case it is not needed.
>The text says:
>
>    The CHUNKS parameter MUST be included once in the INIT or INIT-ACK
>    chunk if the sender wants to receive authenticated chunks
>
>Giving an empty parameter means that you do not request any 
>chunk to be authenticated. So you do not have to include it. 
>Isn't the wording OK?

	I didn't realize that it only says "receive" and not "receive/send"... :-/=

>> 	- Page 6: In the Parameter Length, it says "This value 
>is the length 
>> of the number of HMAC identifiers times 2 plus 4." My English is far 
>> from perfect, but I guess that something like "This value is the 
>> length of the number of HMAC identifiers multiplied by 2 plus 4."
>Fixed.
>>
>> 	- Page 9, first paragraph of section 6.1: It still says 
>there that 
>> the RANDOM parameter contains a 32-byte random number.
>The text is
>      The RANDOM parameter SHOULD contain a 32 byte random number.
>What is wrong with it?

	Hmmm... I suppose I made a mistake with the SHOULD/MUST... Sorry again.

>> 	- Page 12, section 8: I guess IANA has also something 
>to say about 
>> the Error Cause 0x0105 for "Unsupported HMAC Identifier" 
>;-)= And the 
>> last paragraph speaks about 3 values, I guess it should say 5.
>You are correct regarding the error cause. But the last paragraph says:
>
>    HMAC Identifiers have to be maintained by IANA.  Three 
>initial values
>    should be assigned by IANA as described above.
>
>These three values are from the table:
>
>               +-----------------+--------------------------+
>               | HMAC Identifier | Message Digest Algorithm |
>               +-----------------+--------------------------+
>               | 0               | Reserved                 |
>               | 1               | SHA-1 defined in [7]     |
>               | 2               | MD-5 defined in [1]      |
>               +-----------------+--------------------------+
>
>They are three, not five.

	You are right, again, I thought that here it stated something about all the Chunks/Parameters/Error Causes types...

	I guess I was reading too fast the draft :-(=

>> 	- Page 13, section 11: The Reference for [7] (SHA-1) is 
>still missing 
>> :-/=
>Well, it is [6]... Fixed it. xml2rfc can not handle references 
>in tables...

	Thanks!

	BR Iván Arias Rodríguez

_______________________________________________
tsvwg mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/tsvwg